Get income statements as reported
curl --request GET \
--url https://api.rangler.co/v1/company/financials/income-statement/as-reported \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/company/financials/income-statement/as-reported"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/company/financials/income-statement/as-reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_published_at": "2023-11-07T05:31:56Z",
"page_number": 123,
"statement_type": "<string>",
"columns": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_key": "<string>",
"order": 123,
"label": "<string>",
"scope": "<string>",
"scope_label": "<string>",
"period_end_date": "2023-12-25",
"period_basis": "<string>",
"currency": "<string>",
"value_scale": "<string>",
"is_comparative": false
}
],
"rows": [
{
"row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"depth": 123,
"label": "<string>",
"parent_row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"note_ref": "<string>",
"value_unit": "<string>",
"cells": [
{
"value_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_text": "<string>",
"numeric_value": 123,
"statement_cell_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_region": {
"page_number": 123,
"page": 123,
"row_index": 123,
"column_index": 123
}
}
]
}
]
}
]
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Financials
Get income statements as reported
Return the issuer’s published income-statement rows, columns, and printed values.
Requires paid access.
GET
/
v1
/
company
/
financials
/
income-statement
/
as-reported
Get income statements as reported
curl --request GET \
--url https://api.rangler.co/v1/company/financials/income-statement/as-reported \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/company/financials/income-statement/as-reported"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/company/financials/income-statement/as-reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_published_at": "2023-11-07T05:31:56Z",
"page_number": 123,
"statement_type": "<string>",
"columns": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_key": "<string>",
"order": 123,
"label": "<string>",
"scope": "<string>",
"scope_label": "<string>",
"period_end_date": "2023-12-25",
"period_basis": "<string>",
"currency": "<string>",
"value_scale": "<string>",
"is_comparative": false
}
],
"rows": [
{
"row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"depth": 123,
"label": "<string>",
"parent_row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"note_ref": "<string>",
"value_unit": "<string>",
"cells": [
{
"value_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_text": "<string>",
"numeric_value": 123,
"statement_cell_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_region": {
"page_number": 123,
"page": 123,
"row_index": 123,
"column_index": 123
}
}
]
}
]
}
]
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Query Parameters
Rangler company UUID or exchange ticker, matched case-insensitively.
Required string length:
1 - 64ISO 3166-1 alpha-2 market code. Use it when a ticker is shared across markets.
Required string length:
2Return tables from one filing. Omit it to return the latest available history.
Required range:
1 <= x <= 100